# Uses of Class
org.apache.sysds.runtime.instructions.cp.PlaintextMatrix

Packages that use PlaintextMatrix
Package
Description
org.apache.sysds.runtime.controlprogram.paramserv
org.apache.sysds.runtime.controlprogram.paramserv.homomorphicEncryption

## Uses of PlaintextMatrix in org.apache.sysds.runtime.controlprogram.paramserv

Methods in org.apache.sysds.runtime.controlprogram.paramserv that return PlaintextMatrix
Modifier and Type
Method
Description
`PlaintextMatrix[]`
FederatedPSControlThread.`getPartialDecryption(CiphertextMatrix[] encrypted_sum)`

## Uses of PlaintextMatrix in org.apache.sysds.runtime.controlprogram.paramserv.homomorphicEncryption

Methods in org.apache.sysds.runtime.controlprogram.paramserv.homomorphicEncryption that return PlaintextMatrix
Modifier and Type
Method
Description
`PlaintextMatrix`
SEALClient.`partiallyDecrypt(CiphertextMatrix ciphertext)`
partially decrypts ciphertext with the partial private key.
Methods in org.apache.sysds.runtime.controlprogram.paramserv.homomorphicEncryption with parameters of type PlaintextMatrix
Modifier and Type
Method
Description
`MatrixObject`
SEALServer.`average(CiphertextMatrix encrypted_sum, PlaintextMatrix[] partial_plaintexts)`
averages the partial decryptions